List of all members
clan::SoundProvider_Raw Class Reference
clanSound Sound Providers

Sound provider in a raw PCM format (no header in file). More...

`#include <soundprovider_raw.h>`

Inheritance diagram for clan::SoundProvider_Raw:

## Public Member Functions
Construction
| SoundProvider_Raw (void *sound_data, int num_samples, int bytes_per_sample, bool stereo, int frequency=22050)
| Constructs a sound provider based on some raw PCM data. More...
virtual | ~SoundProvider_Raw ()
Operations
virtual SoundProvider_Session * | begin_session () override
| Called by SoundBuffer when a new session starts. More...
virtual void | end_session (SoundProvider_Session *session) override
| Called by SoundBuffer when a session has finished. After this call,. More...
Public Member Functions inherited from clan::SoundProvider
| SoundProvider ()
virtual | ~SoundProvider ()

## Implementation
class | SoundProvider_Raw_Session

## Detailed Description

Sound provider in a raw PCM format (no header in file).

The documentation for this class was generated from the following file:

- soundprovider_raw.h